Bug 1266239 - [RFE] Make user variables maximum value configurable.
[RFE] Make user variables maximum value configurable.
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
2.1.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Timothy Williams
chaoyang
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 16:52 EDT by Eric Rich
Modified: 2016-08-24 15:43 EDT (History)
17 users (show)

See Also:
Fixed In Version: rubygem-openshift-origin-node-1.38.6.3-1.el6op
Doc Type: Enhancement
Doc Text:
Feature: The maximum number of environment variables users are able to add is now configurable on a per-node basis. Reason: Some organizations may want to allow their users to create more than the default 50 allowed user variables. The administrators may want to set this maximum allowance to different values on each node or node profile. Result: Administrators can increase or decrease the maximum number of allowed user environment variables on a per-node basis.
Story Points: ---
Clone Of: 1108254
Environment:
Last Closed: 2016-08-24 15:43:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Rich 2015-09-24 16:52:07 EDT
+++ This bug was initially created as a clone of Bug #1108254 +++

+++ This bug was initially created as a clone of Bug #1073725 +++

Description of problem:
Can not update user variables if user have setted maximum user variables
Comment 9 Timothy Williams 2016-07-25 15:08:31 EDT
The maximum user-defined environment variables should be able to be manually configured with this PR:

  https://github.com/openshift/origin-server/pull/6403

As for the issue where users are unable to modify their existing variables when at their maximum, I can confirm that that was already resolved some time ago. Unless there is another issue this bug was opened for, the ability to configure the maximum user-defined environment variables should complete the work for this bug.
Comment 11 openshift-github-bot 2016-07-26 16:37:55 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/a4bee2ecfe84a166dac4a9f922dff99f973bb0f3
Allow maximum allowed user defined env variables to be configured

Bug 1266239
https://bugzilla.redhat.com/show_bug.cgi?id=1266239
Comment 15 Johnny Liu 2016-08-08 23:29:43 EDT
Verified this bug with 2.2/2016-08-08.1, and PASS.

By default, allow user to create 50 user var.
$ for i in $(seq 1 51); do rhc env-set TEST$i=VALUE$i -a php54app; done
Setting environment variable(s) ... done
...
Setting environment variable(s) ... 
User Variables maximum of 50 exceeded


Change 'USER_VARIABLE_MAX_COUNT' option in /etc/openshift/node.conf to 60, user could create 10 more vars.
$ for i in $(seq 51 60); do rhc env-set TEST$i=VALUE$i -a php54app; done
Setting environment variable(s) ... done
Setting environment variable(s) ... done
Setting environment variable(s) ... done
Setting environment variable(s) ... done
Setting environment variable(s) ... done
Setting environment variable(s) ... done
Setting environment variable(s) ... done
Setting environment variable(s) ... done
Setting environment variable(s) ... done
Setting environment variable(s) ... done

$ for i in $(seq 61 61); do rhc env-set TEST$i=VALUE$i -a php54app; done
Setting environment variable(s) ... 
User Variables maximum of 60 exceeded
Comment 17 errata-xmlrpc 2016-08-24 15:43:09 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1773.html

Note You need to log in before you can comment on or make changes to this bug.